Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		viking
#Epoch:		0
Version:	0.9.94
Release:	1
License:	GNU/GPL
URL:		http://sourceforge.net/projects/viking/
Group:		Navigation
Summary:	GPS data editor and analyzer
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires:  libxcb-devel
BuildRequires:  xcb-util-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gir-repository-devel
BuildRequires:  libffi-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  rarian-devel
BuildRequires:  rarian-compat
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-dsssl
BuildRequires:  docbook-style-xsl

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: curl-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gpsd-devel
BuildRequires: gtk2+-devel
BuildRequires: pango-devel
BuildRequires: perl
BuildRequires: zlib-devel

%description
Viking is a free/open source program to manage GPS data. You can import and plot tracks and waypoints, show Terraserver maps under it, add coordinate lines, make new tracks and waypoints, hide different things, etc.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/viking
%{_bindir}/viking-remote
%{_applications}/viking.desktop
%{_datadir}/gnome/help/viking
%{_datadir}/icons/hicolor/48x48/apps/viking.png
%{_locale}/*/LC_MESSAGES/viking.mo
%{_datadir}/omf/viking/viking-C.omf

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sat Jul 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.94-1
- initial CCux package release
